Bug 1957 - expsam MySQL inefficiencies
expsam MySQL inefficiencies
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.7
x86 Linux
: P3 minor
: none
Assigned To: Jelmer Vernooij
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 12:03 UTC by Scott Merrill
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Merrill 2004-10-21 12:03:33 UTC
While testing out the MySQL backend, I discovered that `smbpasswd <username>`
updates extraneous columns in the database.  That's an overly expensive
operation.  Changing a password should only change the password, and the fields
associates with password expiration; yet the query is updating user SID, group
SID, username, nt fullname, profile path, dir_drive and home_dir.

Is there a reason for all the other fields being updated, even though the update
applies the same data that was originally in those columns?
Comment 1 Jelmer Vernooij 2005-03-09 18:09:22 UTC
Fixed in current SVN. 
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:19:53 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.